<?xml version="1.0"?>
<configuration>
  <configSections>
    <section name="CustomConfiguration" type="URLRewriter.Config.UrlsSection, URLRewriter" />
  </configSections>
  <appSettings configSource="config\\AppSetting.config"/>
  <connectionStrings/>
  <CustomConfiguration>
    <urls>
      <add virtualUrl="~/(\w+)" destinationUrl="~/url/outsite.aspx?url=$1" />
      <add virtualUrl="~/n-(\w+)-(\d+)/" destinationUrl="~/web/listinfo.aspx?classfather=$1&amp;classid=$2" />
      <add virtualUrl="~/n-(\w+)-(\d+)-(\d+)/" destinationUrl="~/web/listinfo.aspx?classfather=$1&amp;classid=$2&amp;page=$3" />
      <add virtualUrl="~/p-(\w+)-(\d+)/" destinationUrl="~/web/listproduct.aspx?classfather=$1&amp;classid=$2" />
      <add virtualUrl="~/p-(\w+)-(\d+)-(\d+)/" destinationUrl="~/web/listproduct.aspx?classfather=$1&amp;classid=$2&amp;page=$3" />
      <add virtualUrl="~/m-(\w+)-(\d+)/" destinationUrl="~/web/listmachine.aspx?classfather=$1&amp;classid=$2" />
      <add virtualUrl="~/m-(\w+)-(\d+)-(\d+)/" destinationUrl="~/web/listmachine.aspx?classfather=$1&amp;classid=$2&amp;page=$3" />
      <add virtualUrl="~/bbs-(\d+)/" destinationUrl="~/web/bbs.aspx?onlineid=$1" />
      <add virtualUrl="~/other-(\d+)/" destinationUrl="~/web/other.aspx?otherid=$1" />
      <add virtualUrl="~/info-(\d+)/" destinationUrl="~/web/info.aspx?classfather=info&amp;infoid=$1" />
      <add virtualUrl="~/product-(\d+)/" destinationUrl="~/web/product.aspx?classfather=product&amp;infoid=$1" />
      <add virtualUrl="~/machine-(\d+)/" destinationUrl="~/web/machine.aspx?classfather=machine&amp;infoid=$1" />
      <add virtualUrl="~/search-(\w+)/" destinationUrl="~/web/search.aspx?keywords=$1" />
      <add virtualUrl="~/search-(\w+)-(\d+)/" destinationUrl="~/web/search.aspx?keywords=$1&amp;page=$2" />
      <add virtualUrl="~/(\d+)-(\d+)-(\d+)\.jpeg" destinationUrl="~/web/spic.aspx?w=$1&amp;h=$2&amp;infoid=$3"/>
      <add virtualUrl="~/pic-(\w+)-(\d+)-(\d+)\.jpeg" destinationUrl="~/web/bpic.aspx?picname=$1&amp;w=$2&amp;h=$3"/>
      <add virtualUrl="~/sitemap.xml" destinationUrl="~/web/sitemap.aspx"/>
    </urls>
  </CustomConfiguration>
  <system.web>
    <httpModules>
      <add type="URLRewriter.RewriterModule, URLRewriter" name="RewriterModule" />
    </httpModules>
    <compilation debug="false" targetFramework="4.0">
      <buildProviders>
        <add extension=".html" type="System.Web.Compilation.PageBuildProvider" />
        <add extension=".xml" type="System.Web.Compilation.PageBuildProvider" />
        <add extension=".jpeg" type="System.Web.Compilation.PageBuildProvider" />
      </buildProviders>
    </compilation>
    <globalization requestEncoding="gb2312" responseEncoding="gb2312" />
    <pages validateRequest="false" autoEventWireup="false" controlRenderingCompatibilityVersion="3.5" clientIDMode="AutoID" />
    <httpRuntime requestValidationMode="2.0" maxRequestLength="50000" executionTimeout="720" />
  </system.web>
  <system.net>
    <mailSettings>
      <smtp>
        <network host="smtp.shazhiqiu.cn" port="25" userName="daifa@shazhiqiu.cn" password="123456" />
      </smtp>
    </mailSettings>
  </system.net>
  <system.webServer>
    <handlers>
      <add name="html" path="*.html" verb="*" modules="IsapiModule" scriptProcessor="C:\Windows\Microsoft.NET\Framework\v4.0.30319\aspnet_isapi.dll" resourceType="Unspecified" preCondition="classicMode,runtimeVersionv4.0,bitness32" />
      <add name="jpeg" path="*.jpeg" verb="*" modules="IsapiModule" scriptProcessor="C:\Windows\Microsoft.NET\Framework\v4.0.30319\aspnet_isapi.dll" resourceType="Unspecified" preCondition="classicMode,runtimeVersionv4.0,bitness32" />
      <add name="xml" path="*.xml" verb="*" modules="IsapiModule" scriptProcessor="C:\Windows\Microsoft.NET\Framework\v4.0.30319\aspnet_isapi.dll" resourceType="Unspecified" preCondition="classicMode,runtimeVersionv4.0,bitness32" />
    </handlers>
  </system.webServer>
</configuration>